 //+-----------------------------------------------------------+
//|                                        GBPUSD Breakout EA |
//|                                               version 0.2 |
//|                               Original idea from mushy999 |
//|                                    EA conversion by Azmel |
//|                                 Copyright  Forex-TSD.com |
//+-----------------------------------------------------------+
//| INSTRUCTIONS: Attach the EA to GBPUSD M5 chart.           |
//+-----------------------------------------------------------+
//| VERSION HISTORY                                           |
//| 0.1   - Initial release.                                  |
//| 0.2   - Added a Friday filter.                            |
//+-----------------------------------------------------------+

//EXTERNAL VARIABLES
extern int    Magic         = 227697;
extern double Lots          = 0.01;
extern int    TakeProfit    = 5;
extern int    StopLoss      = 2000;
extern bool   FridayFilter  = false;

int    counter;
double High100;
int    i;
int    slippage=5;

int start()
{
   if(FridayFilter && DayOfWeek()==5)
   {
      return(0);
   }
   
   High100=0;
   for(i=1;i<=100;i++)
   {
      High100=MathMax(High100,High[i]);
   }
   
   if(Ask>High100+1*Point && CountTrades()==0)
   {
      OrderSend(Symbol(),OP_BUY,Lots,Ask,slippage,Ask-StopLoss*Point,Ask+TakeProfit*Point,"GBPUSD Breakout",Magic,0,Blue);
   }
   return(0);
}

int CountTrades()
{
   counter=0;
   for(i=0;i<OrdersTotal();i++)
   {
      OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
      if(OrderMagicNumber()==Magic)
      {
         counter++;
      }
   }
   return(counter);
}